summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/d/cmake/cmake.url2
-rwxr-xr-xsource/kde/futuresql/futuresql.SlackBuild151
-rw-r--r--source/kde/futuresql/slack-desc19
-rw-r--r--source/kde/kde/build/kig2
-rw-r--r--source/kde/kde/build/kopeninghours2
-rw-r--r--source/kde/kde/build/merkuro1
-rw-r--r--source/kde/kde/modules/all-packaged-applications13
-rw-r--r--source/kde/kde/modules/applications10
-rw-r--r--source/kde/kde/modules/kdepim8
-rw-r--r--source/kde/kde/slack-desc/merkuro19
-rwxr-xr-xsource/kde/kquickimageeditor/kquickimageeditor.SlackBuild151
-rw-r--r--source/kde/kquickimageeditor/slack-desc19
-rwxr-xr-xsource/x/mesa/mesa-amber.build3
-rwxr-xr-xsource/x/mesa/mesa-demos.build9
14 files changed, 391 insertions, 18 deletions
diff --git a/source/d/cmake/cmake.url b/source/d/cmake/cmake.url
index e1e06328f..36f867cb1 100644
--- a/source/d/cmake/cmake.url
+++ b/source/d/cmake/cmake.url
@@ -1,2 +1,2 @@
https://github.com/Kitware/CMake/releases
-https://github.com/Kitware/CMake/releases/download/v3.27.3/cmake-3.27.3.tar.gz
+https://github.com/Kitware/CMake/releases/download/v3.27.4/cmake-3.27.4.tar.gz
diff --git a/source/kde/futuresql/futuresql.SlackBuild b/source/kde/futuresql/futuresql.SlackBuild
new file mode 100755
index 000000000..2b404e328
--- /dev/null
+++ b/source/kde/futuresql/futuresql.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/bash
+
+# Copyright 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=futuresql
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | grep -E -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DKDE_PLATFORM_FEATURE_DISABLE_DEPRECATED=TRUE \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DLIB_INSTALL_DIR=lib$LIBDIRSUFFIX \
+ -DQT_PLUGIN_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/plugins \
+ -DQML_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/qml \
+ -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
+ -DBUILD_TESTING=OFF \
+ -DQca-qt5_DIR=/usr/lib${LIBDIRSUFFIX}/cmake/Qca \
+ -DBUILD_SHARED_LIBS=ON \
+ .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* ChangeLog CHANGES COPYING* LICENSE* NEWS* README* THANKS* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/kde/futuresql/slack-desc b/source/kde/futuresql/slack-desc
new file mode 100644
index 000000000..bbf3b06bc
--- /dev/null
+++ b/source/kde/futuresql/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+futuresql: futuresql (A non-blocking database framework for Qt)
+futuresql:
+futuresql: FutureSQL was in part inspired by Diesel, and provides a higher level
+futuresql: of abstraction than QtSql. Its features include non-blocking database
+futuresql: access by default, relatively boilderplate-free queries, automatic
+futuresql: database migrations and simple mapping to objects.
+futuresql:
+futuresql:
+futuresql:
+futuresql:
+futuresql:
diff --git a/source/kde/kde/build/kig b/source/kde/kde/build/kig
index 0cfbf0888..d00491fd7 100644
--- a/source/kde/kde/build/kig
+++ b/source/kde/kde/build/kig
@@ -1 +1 @@
-2
+1
diff --git a/source/kde/kde/build/kopeninghours b/source/kde/kde/build/kopeninghours
index 0cfbf0888..d00491fd7 100644
--- a/source/kde/kde/build/kopeninghours
+++ b/source/kde/kde/build/kopeninghours
@@ -1 +1 @@
-2
+1
diff --git a/source/kde/kde/build/merkuro b/source/kde/kde/build/merkuro
new file mode 100644
index 000000000..d00491fd7
--- /dev/null
+++ b/source/kde/kde/build/merkuro
@@ -0,0 +1 @@
+1
diff --git a/source/kde/kde/modules/all-packaged-applications b/source/kde/kde/modules/all-packaged-applications
index c84ad4c6a..cca52fb4e 100644
--- a/source/kde/kde/modules/all-packaged-applications
+++ b/source/kde/kde/modules/all-packaged-applications
@@ -18,16 +18,16 @@ akonadi-contacts
akonadi-notes
akonadi-search
kmailtransport
-akonadi-calendar
libkdepim
pimcommon
-calendarsupport
libgravatar
+messagelib
+akonadi-calendar
+calendarsupport
libksieve
mailimporter
eventviews
incidenceeditor
-messagelib
mailcommon
kleopatra
kpkpass
@@ -71,7 +71,7 @@ filelight
kcalc
kcharselect
kdf
-kfloppy
+#kfloppy
kgpg
print-manager
kbackup
@@ -213,7 +213,7 @@ kdev-python
umbrello
zanshin
falkon
-kalendar
+merkuro
skanpage
alligator
ghostwriter
@@ -221,4 +221,5 @@ ghostwriter
kde-inotify-survey
keysmith
kio-admin
-tokodon
+# Sorry, the mpv/libass deps are getting this one yeeted
+#tokodon
diff --git a/source/kde/kde/modules/applications b/source/kde/kde/modules/applications
index 9ac2a9508..6ededb790 100644
--- a/source/kde/kde/modules/applications
+++ b/source/kde/kde/modules/applications
@@ -31,7 +31,7 @@ filelight
kcalc
kcharselect
kdf
-kfloppy
+#kfloppy
kgpg
print-manager
kbackup
@@ -217,7 +217,7 @@ zanshin
# New in 22.04.0:
falkon
-kalendar
+#kalendar
skanpage
# New in 23.04.0:
@@ -227,4 +227,8 @@ ghostwriter
kde-inotify-survey
keysmith
kio-admin
-tokodon
+# Sorry, the mpv/libass deps are getting this one yeeted
+#tokodon
+
+# New in 23.08.0:
+merkuro
diff --git a/source/kde/kde/modules/kdepim b/source/kde/kde/modules/kdepim
index 7d6f8fbaa..93b73c9f6 100644
--- a/source/kde/kde/modules/kdepim
+++ b/source/kde/kde/modules/kdepim
@@ -19,19 +19,19 @@ akonadi-contacts
akonadi-notes
akonadi-search
kmailtransport
-akonadi-calendar
-libkleo
-grantleetheme
libkdepim
pimcommon
libgravatar
+messagelib
+akonadi-calendar
+libkleo
+grantleetheme
libksieve
mailimporter
#kdepim-apps-libs
calendarsupport
eventviews
incidenceeditor
-messagelib
mailcommon
kleopatra
kpkpass
diff --git a/source/kde/kde/slack-desc/merkuro b/source/kde/kde/slack-desc/merkuro
new file mode 100644
index 000000000..f2cedf85e
--- /dev/null
+++ b/source/kde/kde/slack-desc/merkuro
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+merkuro: merkuro (calendar and task management application)
+merkuro:
+merkuro: Merkuro Kalendar is a Kirigami-based calendar and task management
+merkuro: application merkuro: that uses Akonadi. It lets you add, edit and
+merkuro: delete events and tasks from local and remote accounts of your choice,
+merkuro: while keeping changes synchronised across your Plasma desktop or
+merkuro: phone.
+merkuro:
+merkuro:
+merkuro:
+merkuro:
diff --git a/source/kde/kquickimageeditor/kquickimageeditor.SlackBuild b/source/kde/kquickimageeditor/kquickimageeditor.SlackBuild
new file mode 100755
index 000000000..a511095f7
--- /dev/null
+++ b/source/kde/kquickimageeditor/kquickimageeditor.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/bash
+
+# Copyright 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=kquickimageeditor
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | grep -E -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DKDE_PLATFORM_FEATURE_DISABLE_DEPRECATED=TRUE \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DLIB_INSTALL_DIR=lib$LIBDIRSUFFIX \
+ -DQT_PLUGIN_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/plugins \
+ -DQML_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/qml \
+ -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
+ -DBUILD_TESTING=OFF \
+ -DQca-qt5_DIR=/usr/lib${LIBDIRSUFFIX}/cmake/Qca \
+ -DBUILD_SHARED_LIBS=ON \
+ .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* ChangeLog CHANGES COPYING* LICENSE* NEWS* README* THANKS* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/kde/kquickimageeditor/slack-desc b/source/kde/kquickimageeditor/slack-desc
new file mode 100644
index 000000000..7b880981b
--- /dev/null
+++ b/source/kde/kquickimageeditor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kquickimageeditor: kquickimageeditor (QtQuick components for image editing)
+kquickimageeditor:
+kquickimageeditor: KQuickImageEditor is a set of QtQuick components providing basic image
+kquickimageeditor: editing capabilities.
+kquickimageeditor:
+kquickimageeditor:
+kquickimageeditor:
+kquickimageeditor:
+kquickimageeditor:
+kquickimageeditor:
+kquickimageeditor:
diff --git a/source/x/mesa/mesa-amber.build b/source/x/mesa/mesa-amber.build
index 650dd8d8a..9a6d3d98e 100755
--- a/source/x/mesa/mesa-amber.build
+++ b/source/x/mesa/mesa-amber.build
@@ -47,7 +47,10 @@ export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
mkdir meson-build
cd meson-build
+# Architecture-specific settings can be configured in the mesa.SlackBuild
+# within the variable 'SLK_AMBER_CONF_OPTS'
meson setup \
+ $SLK_AMBER_CONF_OPTS \
--prefix=/usr \
--libdir=lib${LIBDIRSUFFIX} \
--libexecdir=/usr/libexec \
diff --git a/source/x/mesa/mesa-demos.build b/source/x/mesa/mesa-demos.build
index 67f460b3e..c9452d088 100755
--- a/source/x/mesa/mesa-demos.build
+++ b/source/x/mesa/mesa-demos.build
@@ -16,8 +16,11 @@ export CWD SLKCFLAGS NUMJOBS PKG
-exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+ # Architecture-specific settings can be configured in the mesa.SlackBuild
+ # within the variable 'SLK_MESADEMOS_CONF_OPTS'
CFLAGS="$SLKCFLAGS" \
./configure \
+ $SLK_MESADEMOS_CONF_OPTS \
--enable-autotools \
--prefix=/usr \
--build=$ARCH-slackware-linux || exit 1
@@ -27,8 +30,10 @@ export CWD SLKCFLAGS NUMJOBS PKG
make install DESTDIR=$PKG/cruft || exit 1
# Install gears and glinfo, as well as a few other demos:
mkdir -p $PKG/usr/bin
- for demo in eglinfo gears glinfo glthreads glxcontexts glxdemo glxgears \
- glxgears_fbconfig glxheads glxinfo glxpbdemo glxpixmap ; do
+ MESA_DEMO_BINS="${MESA_DEMO_BINS:=eglinfo gears glinfo glthreads glxcontexts glxdemo \
+ glxgears glxgears_fbconfig glxheads glxinfo glxpbdemo glxpixmap}"
+ # Install the demo:
+ for demo in $MESA_DEMO_BINS ; do
mv --verbose $PKG/cruft/usr/bin/$demo $PKG/usr/bin
done
# Remove cruft: